Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225986 - Merge Review: libao
Summary: Merge Review: libao
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: manuel wolfshant
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:18 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-15 13:45:52 UTC
wolfy: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 19:18:32 UTC
Fedora Merge Review: libao

http://cvs.fedora.redhat.com/viewcvs/devel/libao/
Initial Owner: besfahbo@redhat.com

Comment 1 Hans de Goede 2007-11-14 15:14:25 UTC
To all interested reviewers, I've become a gnome-games co-maitainer recently and
I would like to push libao through its merge review. I've taken an initial
look and the specfile looks ok. Please review and tell me what needs fixing.


Comment 2 manuel wolfshant 2007-11-15 00:38:43 UTC
The package seems fine except for a minor unneeded dependency (alsa-lib-devel
which is already pulled by esound-devel)
The only suggestion I have is to replace the 5 successive grep calls with a
single one (grep -v "item1\|item2\|...|itemn" )


Formal review will come a bit later, but my rpmlint and mock have no complains,
the package builds just fine in devel/x86_64.


Comment 3 manuel wolfshant 2007-11-15 00:55:03 UTC
Hum, it would be nice to preserve the timestamp of the man page. You can obtain
that by using
make DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p" install

Also "- Fix Source0 en URL urls" does not sound as proper English :)


Comment 4 Hans de Goede 2007-11-15 08:06:04 UTC
Thanks for the comments sofar, I'm waiting with doing a new revision until
you've done a complete review, so that hopefully I can get everything fixed in
one iteration.


Comment 5 manuel wolfshant 2007-11-15 11:48:48 UTC
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
-- mind the observations from the previous comments, please fix them before commit
-- what is the purpose of the ao.req (Source1) script? It is neither used, nor
packaged.
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
        on src.rpm: libao.src: W: strange-permission ao.req 0775 ; I guess it's
OK (it's a script)
        nothing on binaries
 [x] Package is not relocatable.
 [ ] Buildroot is correct
(%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type:  GPLv2+
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
-- mind the "en" which slipped in the most recent log entry
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     SHA1SUM of package: d6e867bbfc4361346db8e505c51271e4162ae7c4
 [x] Package is not known to require ExcludeArch, OR:
 [x] All build dependencies are listed in BuildRequires, except for any that are
listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [x] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [-] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [x] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [x] Package requires pkgconfig, if .pc files are present.
 [x] Development .so files in -devel subpackage, if present.
 [x] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: devel/x86_64
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested on:devel/i386 and x86_64
 [x] Package functions as described.
Note: the package is already included in F8, used by vorbis-tools
 [x] Scriptlets must be sane, if used.
 [x] The placement of pkgconfig(.pc) files are correct.
 [x] File based requires are sane.


=== Issues ===
 None, except for the minor observations from the previous bz comments, please
fix them before the next commit.


================
*** APPROVED ***
================


Comment 6 Hans de Goede 2007-11-15 13:45:52 UTC
Thanks!

0.8.8-3, fixing the few issues mentioned in earlier comments is on its way to
rawhide, closing.



Note You need to log in before you can comment on or make changes to this bug.